Bug 461362 - Missing error message for unsupported files in rpm -qp
Summary: Missing error message for unsupported files in rpm -qp
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-06 16:07 UTC by Ville Skyttä
Modified: 2008-10-01 09:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-01 09:03:07 UTC
Type: ---


Attachments (Terms of Use)

Description Ville Skyttä 2008-09-06 16:07:11 UTC
rpm -q just exits silently when fed an unsupported file or a dir:

rpm -qp /bin      # directory
rpm -qp /bin/rpm  # binary file

The exit status is fine (1).  I'd additionally expect to see some kind of an error message.

Comment 1 Panu Matilainen 2008-09-18 09:16:59 UTC
Yup, fixed upstream now...

Comment 2 Panu Matilainen 2008-10-01 09:03:07 UTC
...and rawhide too now (rpm-4.5.90-0.git8514.1)


Note You need to log in before you can comment on or make changes to this bug.